Package com.pixelmed.dose

# Class DeviceParticipant

java.lang.Object
com.pixelmed.dose.DeviceParticipant

public class DeviceParticipant extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`manufacturer`
`protected String`
`modelName`
`protected String`
`serialNumber`
`protected String`
`uid`

## Constructor Summary

Constructors
Constructor
Description
`DeviceParticipant(ContentItem parent)`
`DeviceParticipant(String manufacturer, String modelName, String serialNumber)`
`DeviceParticipant(String manufacturer, String modelName, String serialNumber, String uid)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getDeviceObserverUIDOrSuitableAlternative(AttributeList list)`
Extract the device observer UID information from a list of attributes, or some suitable alternate if available.
`static String`
`getDeviceSerialNumberOrSuitableAlternative(AttributeList list, boolean insertAlternateBackInList)`
Extract the device serial number information from a list of attributes, or some suitable alternate if available.
`String`
`getManufacturer()`
`String`
`getModelName()`
`String`
`getSerialNumber()`
`ContentItem`
`getStructuredReportFragment()`
`String`
`getUID()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### manufacturer

protected String manufacturer

### modelName

protected String modelName

### serialNumber

protected String serialNumber

### uid

protected String uid

## Constructor Details

### DeviceParticipant

public DeviceParticipant(String manufacturer, String modelName, String serialNumber)

### DeviceParticipant

public DeviceParticipant(String manufacturer, String modelName, String serialNumber, String uid)

### DeviceParticipant

public DeviceParticipant(ContentItem parent)

## Method Details

### getManufacturer

public String getManufacturer()

### getModelName

public String getModelName()

### getSerialNumber

public String getSerialNumber()

### getUID

public String getUID()

### getStructuredReportFragment

public ContentItem getStructuredReportFragment() throws DicomException

Throws:
  `DicomException`

### getDeviceSerialNumberOrSuitableAlternative

public static String getDeviceSerialNumberOrSuitableAlternative(AttributeList list, boolean insertAlternateBackInList)

Extract the device serial number information from a list of attributes, or some suitable alternate if available.

Makes a hash of StationName and Institution as an alternate, if either or both present and not empty.

Parameters:
  `list` - the list of attributes
  `insertAlternateBackInList` - if true, when there is no DeviceSerialNumber or it is empty, add the alterate created back to the supplied list (side effect of call)
Returns:
  a string containing either the DeviceSerialNumber from the list or a suitable alternate if available, else null

### getDeviceObserverUIDOrSuitableAlternative

public static String getDeviceObserverUIDOrSuitableAlternative(AttributeList list)

Extract the device observer UID information from a list of attributes, or some suitable alternate if available.

Makes a hash of DeviceSerialNumber, StationName, Institution, Manufacturer, Manufacturer Model Name as an alternate, if any are present and not empty.

Parameters:
  `list` - the list of attributes
Returns:
  a string containing a suitable UID if available, else null